# $Revision: 1.50 $, $Date: 2011/08/06 16:23:20 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Ogg Bitstream Library
Summary(pl.UTF-8):	Biblioteka obsługi strumieni bitowych Ogg
Summary(pt_BR.UTF-8):	Biblioteca libogg
Name:		libogg
Version:	1.3.0
Release:	1
Epoch:		2
License:	BSD
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
# Source0-md5:	84a35715170f2cd4c77a4448772b95d5
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.xiph.org/ogg/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.6
BuildRequires:	libtool
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libogg0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libogg is a library for manipulating Ogg bitstreams. It handles both
making Ogg bitstreams and getting packets from Ogg bitstreams.

%description -l pl.UTF-8
Libogg jest biblioteką do manipulacji strumieniami bitowymi Ogg.
Obsługuje ona zarówno tworzenie strumieni jak i uzyskiwanie pakietów
ze strumieni.

%description -l pt_BR.UTF-8
Ogg e' uma familia de diversos projetos de multimídia e processamento
de sinais. libogg é a biblioteca do formato de codec bitstream para o
codec Vorbis, formando o encoder/decoder de áudio Ogg Vorbis.

%package devel
Summary:	Ogg Bitstream Library Development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja developerska
Summary(pt_BR.UTF-8):	Bibliotecas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libogg0-devel

%description devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja potrzebna do rozwijania aplikacji
używających biblioteki libogg.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento com o Ogg
Vorbis.

%package static
Summary:	Ogg Bitstream Static Library
Summary(pl.UTF-8):	Biblioteka statyczna Ogg
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The libogg-static package contains the static libraries of libogg.

%description static -l pl.UTF-8
Statyczna biblioteka libogg.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o Ogg Vorbis.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

mv -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} devel-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README
%attr(755,root,root) %{_libdir}/libogg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogg.so.0

%files devel
%defattr(644,root,root,755)
%doc devel-docs/*
%attr(755,root,root) %{_libdir}/libogg.so
%{_libdir}/libogg.la
%{_includedir}/ogg
%{_aclocaldir}/ogg.m4
%{_pkgconfigdir}/ogg.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libogg.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libogg.spec,v $
Revision 1.50  2011/08/06 16:23:20  qboosh
- updated to 1.3.0

Revision 1.49  2011/07/25 10:10:30  arekm
- rel 2; avoid -L/usr/lib

Revision 1.48  2010/12/08 09:13:45  lisu
- 1.2.2

Revision 1.47  2010/11/03 20:38:55  qboosh
- updated to 1.2.1
- updated ac_fixes patch

Revision 1.46  2010/03/29 10:37:28  lisu
- up to 1.2.0

Revision 1.45  2009/09/30 22:24:08  qboosh
- updated to 1.1.4
- ghost soname symlink

Revision 1.44  2008/07/27 23:03:58  arekm
- release 3

Revision 1.43  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.42  2007/07/21 19:03:24  witekfl
-added bcond_without static_libs

Revision 1.41  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.39  2006/11/25 13:28:10  arekm
- rel 2

Revision 1.38  2005/12/03 18:30:17  qboosh
- updated to 1.1.3

Revision 1.37  2005/05/03 13:42:02  pluto
- release 2 for Th.

Revision 1.36  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.35  2004/10/17 17:10:22  qboosh
- updated to 1.1.2 (bugfixes, some new docs)
- removed obsolete am18 patch
- Source0 URL changed to one found on Ogg/Theora site, containing most recent rels
- URL changed to Ogg project site

Revision 1.34  2004/05/29 20:15:59  averne
- BR: libogg-devel

Revision 1.33  2003/12/18 09:00:31  wiget
- underquote fix in ogg.m4
- release 2

Revision 1.32  2003/11/22 00:25:48  qboosh
- use %%doc - let base docs be in base and text files compressed

Revision 1.31  2003/11/21 21:06:59  wiget
- 1.1

Revision 1.30  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.29  2003/06/23 20:09:19  jareq
- fixed epoch:version issue

Revision 1.28  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:49:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.25  2002/11/25 14:16:57  ankry
- massive attack: no need for 755 for *.la

Revision 1.24  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/08/05 11:26:07  malekith
- license is BSD not LGPL
- include COPYING file

Revision 1.22  2002/07/21 17:31:02  kloczek
- release 2.

Revision 1.21  2002/07/21 12:00:53  wrobell
- remove all make files from documentation directories

Revision 1.20  2002/07/20 15:31:31  wrobell
- epoch 2

Revision 1.19  2002/07/20 15:25:51  wrobell
- ver. 1.0

Revision 1.18  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/02 23:51:51  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.11  2002/01/02 23:32:25  kloczek
- release 1.0rc3 (bug fix release).

Revision 1.10  2002/01/02 15:56:33  kloczek
- release 2: libogg0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/08/15 18:37:16  kloczek
- updated to 1.0rc2.

Revision 1.8  2001/06/27 10:11:55  misiek
- updated to 1.0rc1

Revision 1.7  2001/04/30 16:57:27  kloczek
- release 2.

Revision 1.6  2001/04/30 16:35:27  qboosh
- moved *.la to devel

Revision 1.5  2001/04/30 01:29:40  kloczek
- release 1.

Revision 1.4  2001/04/29 10:17:46  misiek
added Epoch: 1

Revision 1.3  2001/04/28 21:53:37  misiek
updated to 1.0beta4

Revision 1.2  2000/10/31 23:05:11  kloczek
- rewrited to be compliant with PLD cofing syle,
- added ac_fixes with remomove CFAGS manipulations on ac level.

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
